
cap pr drop rounding
pr rounding
	syntax varname, estadd(name)
	*For rounding above 10, one decimal, otherwise 3 decimals. 
	if abs(_b[`varlist']) > 10 {
		loc b = string(_b[`varlist'], "%9.1f")
	}
	else {
		loc b = string(_b[`varlist'], "%9.3f")
	}
	if _se[`varlist'] > 10 {
		loc se = string(_se[`varlist'], "%9.1f")
	}
	else {			
		loc se = string(_se[`varlist'], "%9.3f")
	}
	
	estadd loc `estadd' "`b'                  (`se')"
	
end

*Rounding for mean
cap pr drop roundmean
pr roundmean
	syntax, estadd(name)
	if `r(mean)' < 10 {
		if `r(mean)' < 0 & `r(mean)' > -0.0005 {
			loc temp1 = "0.000"
		}
		else {
			loc temp1 = string(`r(mean)', "%9.3f")
		}
	}
	else {
		loc temp1 = string(`r(mean)', "%9.1f")
	}
	if `r(sd)' < 10 {
		loc temp2 = string(`r(sd)', "%9.3f")
	}
	else {
		loc temp2 = string(`r(sd)', "%9.1f")
	}
	qui estadd loc `estadd' "`temp1'              (`temp2')"
end

*Rounding for mean only
cap pr drop roundmeanonly
pr roundmeanonly
	syntax, estadd(name)
	if `r(mean)' < 10 {
		if `r(mean)' < 0 & `r(mean)' > -0.0005 {
			loc tempo1 = "0.000"
		}
		else {
			loc tempo1 = string(`r(mean)', "%9.3f")
		}
	}
	else {
		loc tempo1 = string(`r(mean)', "%9.1f")
	}
	qui estadd loc `estadd' "`tempo1'"
end

*Rounding for lincom r(estimate)
cap pr drop roundlincom
pr roundlincom
	syntax, estadd(name)
	if `r(estimate)' < 10 {
		if `r(estimate)' < 0 & `r(estimate)' > -0.0005 {
			loc lctemp1 = "0.000"
		}
		else {
			loc lctemp1 = string(`r(estimate)', "%9.3f")
		}
	}
	else {
		loc lctemp1 = string(`r(estimate)', "%9.1f")
	}
	if `r(se)' < 10 {
		loc lctemp2 = string(`r(se)', "%9.3f")
	}
	else {
		loc lctemp2 = string(`r(se)', "%9.1f")
	}
	qui estadd loc `estadd' "`lctemp1'              (`lctemp2')"
end
